% Effectue une boucle sur le modle k9k_TP
% la pdale est gnre par une rampe de 0  10% dans le mole
% le rgime est gnr par une boucle dans ce script. Pour cela il faut
% crire "n" dans la constante d'entre rgime du modle, et mettre 3
% output (1 : mpilot, 2 : av_main, 3 : pedale)
M_pil=[];
AV_main=[];
PRAIL=[];
n=1000;
for c=1:10
    N(:,c)=n;
    [t,x,mpil,avmain,pedal,prail]=sim('k9k_TP');
    M_pil(:,c)=mpil;
    AV_main(:,c)=avmain;
    PEDALE(:,c)=pedal;
    PRAIL(:,c)=prail;
    n=n+350;
end
subplot(1,3,1)
meshz(N,PEDALE(:,1),M_pil)
colormap hsv
xlabel 'N'
ylabel 'pdale'
title 'm pilot'
colormap copper
set (gca,'box','on','color','k','xcolor','r','ycolor','r','zcolor','r')
subplot(1,3,2)
meshz(N,PEDALE(:,1),AV_main)
xlabel 'N'
ylabel 'pdale'
title 'timing main'
colormap copper
set (gca,'box','on','color','k','xcolor','r','ycolor','r','zcolor','r')
subplot(1,3,3)
meshz(N,PEDALE(:,1),PRAIL)
xlabel 'N'
ylabel 'pdale'
title 'prail'
colormap copper
set (gca,'box','on','color','k','xcolor','r','ycolor','r','zcolor','r')